> ## Documentation Index
> Fetch the complete documentation index at: https://kb.talostrading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange pair metrics

> Returns a list of exchange pair metrics metadata.



## OpenAPI

````yaml /coinmetrics/openapi/coinmetrics.yaml get /reference-data/exchange-pair-metrics
openapi: 3.0.2
info:
  title: Coin Metrics API v4
  description: >-
    [Coin Metrics Homepage](https://coinmetrics.io/)<br/> [API Backward
    Compatibility
    Policy](https://docs.coinmetrics.io/access-our-data/api#backward-compatibility)<br/>
    [Python API
    Client](https://coinmetrics.github.io/api-client-python/site/index.html)<br/><br/>

    HTTP API root endpoint URL is `https://api.coinmetrics.io/v4`. Coin
    Metrics&apos; paid product.<br/> WebSocket API root endpoint is
    `wss://api.coinmetrics.io/v4`. Coin Metrics&apos; paid product.<br/><br/>
    The Community HTTP API root endpoint URL is
    `https://community-api.coinmetrics.io/v4`. API key is not required when
    accessing community endpoints. Available to the community under the
    [Creative Commons](https://creativecommons.org/licenses/by-nc/4.0/) license.

    # Authentication

    <!-- ReDoc-Inject: <security-definitions> -->

    # Response headers

    Note that Coin Metrics API responses have a `CF-RAY` HTTP header e.g.
    `88a6ec1d2f930774-IAD` which can be used for diagnostic purposes. When
    raising Support requests, please ensure to provide the value of this
    header. 
  termsOfService: https://coinmetrics.io/api/terms
  contact:
    name: Coin Metrics Support
    url: https://coinmetrics.io/support/
    email: support@coinmetrics.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 4.0.0
servers:
  - url: https://api.coinmetrics.io/v4
  - url: wss://api.coinmetrics.io/v4
  - url: https://community-api.coinmetrics.io/v4
security: []
tags:
  - name: Rate limits
    description: >-
      To ensure the quality of Coin Metrics services, API is subject to rate
      limiting.<br/> <table> <tr><th>Rate Limit Plan</th><th>REST API: Requests
      per Second (sliding window)</th><th>REST API: Download Speed</th><th>REST
      API: Max Parallel Requests</th><th>WebSocket API: Max Parallel
      Connections</th></tr> <tr><td>Community</td><td>10 requests per 6 seconds
      per IP address</td><td>Reduced speed</td><td>10</td><td>N/A</td></tr>
      <tr><td>Trial</td><td>10 requests per 6 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> <tr><td>Default (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Standard
      speed</td><td>10</td><td>200</td></tr> <tr><td>Download (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> </table> <br/> All PRO keys by
      default get the "default" rate limits. To download historical data at max
      speed, you need to switch to the "download" plan. <br/> <br/> The paid and
      community versions of the API have a limit of 10 parallel REST API
      requests. After this limit is reached, further parallel requests will be
      queued, so performance will be slower.<br/> <br/> If you reach the
      request-per-second limit, API starts to return `429 Too Many Requests`
      HTTP response status.<br/> API also provides `X-RateLimit-*` response
      headers formatted according to
      https://tools.ietf.org/html/draft-polli-ratelimit-headers-03.<br/>
      Additionally, the API provides the `X-RateLimit-Plan` header which
      indicates the current rate limiting plan. This header may have values:
      `default`, `trial`, `download`, or `community`.
    x-cm-gitbook:
      foldIntoInfo: true
  - name: Reference Data
    description: Metadata information of entities supported by Coin Metrics.
    x-cm-gitbook:
      tag: Meta Data
      icon: book
  - name: Catalog
    x-displayName: Catalog (deprecated)
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full
      catalog](#tag/Full-catalog) endpoints for the full list of supported by
      Coin Metrics data. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Catalog v2
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full catalog
      V2](#tag/Full-catalog-v2) endpoints for the full list of supported by Coin
      Metrics data.
    x-cm-gitbook:
      icon: list-check
  - name: Full catalog
    x-displayName: Full catalog (deprecated)
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog) endpoint. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Full catalog v2
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog-v2) endpoint.
    x-cm-gitbook:
      tag: Catalog v2
      icon: layer-group
  - name: Timeseries
    description: >-
      Endpoints for fetching metrics, market data, indexes and other time series
      data.
    x-cm-gitbook:
      icon: chart-line
      renameOperationsTo: Timeseries REST
  - name: Timeseries stream
    description: >-
      WebSocket endpoints for getting a real-time stream of metrics, market
      data, indexes and other time series data.
    x-cm-gitbook:
      tag: Timeseries
      icon: wifi
  - name: Taxonomy
    description: Taxonomy endpoints
    x-cm-gitbook:
      icon: sitemap
  - name: Taxonomy Metadata
    description: Taxonomy Metadata endpoints
    x-cm-gitbook:
      tag: Taxonomy
      icon: tags
  - name: Profile
    description: Profile endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: id-card
  - name: List of blockchain entities v2
    description: Endpoints for fetching lists of blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: list
  - name: Full blockchain entities v2
    description: Endpoints for fetching full blockchain entities.
    x-cm-gitbook:
      tag: List of blockchain entities v2
      icon: database
  - name: Jobs
    description: Jobs API endpoints
    x-cm-gitbook:
      tag: ATLAS
      icon: briefcase
  - name: Blockchain Explorer Job
    description: Endpoints for creating async jobs for blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: clock
  - name: Blockchain Explorer Job Results
    description: Schema definitions of results of Blockchain Explorer Job endpoints.
    x-cm-gitbook:
      foldInto: Blockchain Explorer Job
  - name: Chain Monitor tools
    description: Endpoints for working with chain monitor data.
    x-cm-gitbook:
      tag: ATLAS
      icon: wrench
  - name: Security Master
    description: Security Master endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: shield
  - name: Constituent Snapshots
    description: Endpoints for getting the snapshots of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: camera
  - name: Constituent Timeframes
    description: Endpoints for getting the timeframes of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: calendar
  - name: Blockchain Metadata
    description: Blockchain metadata endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: database
  - name: Meta Data
    x-cm-gitbook:
      icon: database
  - name: ATLAS
    x-cm-gitbook:
      icon: map
  - name: Timeseries REST
    x-cm-gitbook:
      tag: Timeseries
      icon: table
paths:
  /reference-data/exchange-pair-metrics:
    servers:
      - url: https://api.coinmetrics.io/v4
      - url: https://community-api.coinmetrics.io/v4
    get:
      tags:
        - Reference Data
      summary: Exchange pair metrics
      description: Returns a list of exchange pair metrics metadata.
      operationId: getReferenceDataExchangePairMetrics
      parameters:
        - $ref: '#/components/parameters/CatalogMetric'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PagingFromWithStartByDefault'
        - $ref: '#/components/parameters/NextPageToken'
        - $ref: '#/components/parameters/CatalogResponseFormat'
        - $ref: '#/components/parameters/Pretty'
      responses:
        '200':
          $ref: '#/components/responses/ReferenceDataExchangePairMetrics'
        '400':
          $ref: '#/components/responses/MetricNotFound'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '414':
          $ref: '#/components/responses/UriTooLong'
      security:
        - api_key: []
      x-codeSamples:
        - lang: Shell
          label: Shell
          source: >
            curl --compressed
            "https://api.coinmetrics.io/v4/reference-data/exchange-pair-metrics?api_key=<your_key>"
        - lang: Python
          label: Python
          source: >
            import requests

            response =
            requests.get('https://api.coinmetrics.io/v4/reference-data/exchange-pair-metrics?api_key=<your_key>').json()

            print(response)
        - lang: Python
          label: Python Client
          source: |
            from coinmetrics.api_client import CoinMetricsClient
            client = CoinMetricsClient(<your_key>)

            response = client.reference_data_exchange_asset_metrics().to_list()
            print(response)
components:
  parameters:
    CatalogMetric:
      description: Comma separated list of metrics. By default all metrics are returned.
      in: query
      name: metrics
      schema:
        type: array
        items:
          type: string
      explode: false
    PageSize:
      description: >-
        Number of items per single page of results.<br/> The value of this
        parameter is ignored if the endpoint supports the `format` parameter and
        its value is set to `json_stream`.
      in: query
      name: page_size
      schema:
        default: 100
        type: integer
        format: int32
        minimum: 1
        maximum: 10000
    PagingFromWithStartByDefault:
      description: >-
        Where does the first page start, at the start of the interval or at the
        end.<br/> The value of this parameter is ignored if the endpoint
        supports the `format` parameter and its value is set to `json_stream`.
      in: query
      name: paging_from
      schema:
        default: start
        enum:
          - start
          - end
        type: string
        format: PagingFrom
    NextPageToken:
      description: >-
        Token for receiving the results from the next page of a query.<br/>
        Should not be used directly. To iterate through pages just use
        `next_page_url` response field.
      in: query
      name: next_page_token
      schema:
        type: string
    CatalogResponseFormat:
      description: Format of the response. Supported values are `json`, `json_stream`.
      in: query
      name: format
      schema:
        type: string
        default: json
    Pretty:
      description: Human-readable formatting of JSON responses.
      in: query
      name: pretty
      schema:
        type: boolean
        default: false
  responses:
    ReferenceDataExchangePairMetrics:
      description: List of exchange pair metrics metadata.
      content:
        application/json:
          example:
            data:
              - metric: basis_annualized_120d_exp
                full_name: 'Basis, annualized, 120 day expiration '
                description: >-
                  The relative difference between the price of a futures
                  contract that expires in 120 days and the price of its
                  underlying spot market.
                product: Market Data
                category: Basis
                subcategory: Future
                unit: Dimensionless
                data_type: decimal
                type: Percentage
                display_name: Annualized Futures Basis, 120 day expiration
                docs_url: >-
                  https://docs.coinmetrics.io/market-data/market-data-overview/basis/
              - metric: basis_annualized_30d_exp
                full_name: 'Basis, annualized, 30 day expiration '
                description: >-
                  The relative difference between the price of a futures
                  contract that expires in 30 days and the price of its
                  underlying spot market.
                product: Market Data
                category: Basis
                subcategory: Future
                unit: Dimensionless
                data_type: decimal
                type: Percentage
                display_name: Annualized Futures Basis, 30 day expiration
                docs_url: >-
                  https://docs.coinmetrics.io/market-data/market-data-overview/basis/
            next_page_token: YmFzaXNfYW5udWFsaXplZF82MGRfZXhw
            next_page_url: >-
              https://api.coinmetrics.io/v4/reference-data/exchange-asset-metrics?api_key=<your_key>&page_size=2&next_page_token=YmFzaXNfYW5udWFsaXplZF82MGRfZXhw
          schema:
            $ref: '#/components/schemas/ReferenceDataExchangePairMetricsResponse'
    MetricNotFound:
      content:
        application/json:
          example:
            error:
              type: bad_parameter
              message: Bad parameter 'metrics'. Value 'asdgwav' is not supported.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: Metric not found.
    Unauthorized:
      description: Requested resource requires authorization.
      content:
        application/json:
          examples:
            unauthorized:
              summary: Unauthorized error response.
              value:
                error:
                  type: unauthorized
                  message: Requested resource requires authorization.
            wrong_credentials:
              summary: Wrong credentials error response.
              value:
                error:
                  type: wrong_credentials
                  message: Supplied credentials are not valid.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    UriTooLong:
      description: Provided URI is too long. It must not be greater than 10000 symbols.
  schemas:
    ReferenceDataExchangePairMetricsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ReferenceDataMetricInfo'
          type: array
        next_page_token:
          $ref: '#/components/schemas/NextPageToken'
        next_page_url:
          $ref: '#/components/schemas/NextPageUrl'
      required:
        - data
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
      required:
        - error
      type: object
    ReferenceDataMetricInfo:
      description: Metric metadata.
      properties:
        metric:
          $ref: '#/components/schemas/MetricId'
        full_name:
          $ref: '#/components/schemas/FullName'
        description:
          $ref: '#/components/schemas/Description'
        product:
          $ref: '#/components/schemas/Product'
        category:
          $ref: '#/components/schemas/Category'
        subcategory:
          $ref: '#/components/schemas/Subcategory'
        unit:
          $ref: '#/components/schemas/Unit'
        data_type:
          $ref: '#/components/schemas/MetricDataType'
        type:
          $ref: '#/components/schemas/MetricType'
        reviewable:
          $ref: '#/components/schemas/Reviewable'
        display_name:
          $ref: '#/components/schemas/DisplayName'
        experimental:
          $ref: '#/components/schemas/ExperimentalMetric'
        constituent_snapshots_url:
          $ref: '#/components/schemas/ConstituentSnapshotsUrl'
        constituent_timeframes_url:
          $ref: '#/components/schemas/ConstituentTimeframesUrl'
        docs_url:
          $ref: '#/components/schemas/DocsUrl'
      required:
        - metric
        - full_name
        - description
        - product
        - category
        - subcategory
        - unit
        - data_type
        - type
      type: object
    NextPageToken:
      description: Token of the next page results for a given request.
      type: string
    NextPageUrl:
      description: URL of the next page results for a given request.
      type: string
    ErrorObject:
      properties:
        type:
          description: Error type string. Can be used for error identification.
          type: string
        message:
          description: >-
            Human-friendly error description. Can be amended without prior
            notification. Do not use for error identification in your code.
          type: string
      required:
        - type
        - description
      type: object
    MetricId:
      description: Name of the metric.
      type: string
    FullName:
      description: Human-friendly name.
      type: string
    Description:
      description: Human-friendly description.
      type: string
    Product:
      description: Associated Product of the metric.
      type: string
    Category:
      description: Category of the metric.
      type: string
    Subcategory:
      description: Subcategory of the metric.
      type: string
    Unit:
      description: Unit of the metric.
      type: string
    MetricDataType:
      description: >
        Data Type of the metric. Can be bigint or decimal.<br/>

        "bigint" means that you should expect an integer number in a range from
        -9223372036854775808 to 9223372036854775807.<br/>

        "decimal" means that a number can have up to 131072 digits before the
        decimal point and up to 16383 digits after the decimal point.
      type: string
    MetricType:
      description: Type of the metric.
      type: string
    Reviewable:
      description: Reviewable by human flag.
      type: boolean
    DisplayName:
      description: More detailed and human friendly name of a metric.
      type: string
    ExperimentalMetric:
      description: >-
        If set to true, indicates that metrics collection is under active
        development - there is a chance of temporary discrepancies in the served
        dataset.
      type: boolean
    ConstituentSnapshotsUrl:
      description: The endpoint URL of the constituent snapshots.
      type: string
    ConstituentTimeframesUrl:
      description: The endpoint URL of the constituent timeframes.
      type: string
    DocsUrl:
      description: The documentation URL.
      type: string
  securitySchemes:
    api_key:
      description: Coin Metrics API key can be specified as `?api_key=` query parameter.
      in: query
      name: api_key
      type: apiKey

````